# Namespace for the whole NIFTY project
module Nifty
  GEM_DIR = File.realdirpath(File.join(File.dirname(__FILE__), '..'))
  APPLIANCE_SCHEMA = File.join(GEM_DIR, 'schema', 'appliance.json')
end

require 'active_support/all'

require 'nifty/exit_codes'
require 'nifty/errors'
require 'nifty/settings'
require 'nifty/version'
require 'nifty/transfer_method'
require 'nifty/transfer_methods'
require 'nifty/backend'
require 'nifty/backends'
require 'nifty/command_executioner'
require 'nifty/event'
require 'nifty/events'
