# Namespace for all the exceptions
module Nifty::Errors
  require File.join(File.dirname(__FILE__), 'errors', 'standard_error')
  require File.join(File.dirname(__FILE__), 'errors', 'argument_error')
  require File.join(File.dirname(__FILE__), 'errors', 'event')
  require File.join(File.dirname(__FILE__), 'errors', 'backends')
  require File.join(File.dirname(__FILE__), 'errors', 'transfer_methods')
  require File.join(File.dirname(__FILE__), 'errors', 'events')
  Dir.glob(File.join(File.dirname(__FILE__), self.name.demodulize.underscore, '*.rb')) { |error_file| require error_file.chomp('.rb') }
end
