# No operation transfer method
# Leaves file as it is
class Nifty::TransferMethods::Opennebula::Noop < Nifty::TransferMethod
  class << self
    # @see Nifty::TransferMethod#transfer_method?
    def transfer_method?
      true
    end

    # @see Nifty::TransferMethod#description?
    def description
      "No operation transfer method - doesn't change location of images"
    end

    # @see Nifty::TransferMethod#backend
    def backend
      Nifty::Backends::Opennebula
    end
  end

  # @see Nifty::TransferMethod#transfer
  def transfer(file)
    super(file)

    file
  end
end
